import socket

def check_port(hostname, port):
    try:
        sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        sock.settimeout(5)
        result = sock.connect_ex((hostname, port))
        result_str = 'open' if result == 0 else 'closed'
        print(f"Port {port} on {hostname} is {result_str}.")
    except Exception as e:
        print(f"Error: {e}")
    finally:
        # Close the socket
        sock.close()

# Example usage
check_port('mqtt.eniris.be', 1883)
